Subject: bug#46061: 28.0.50; error "‘'postgres’ is not a known product

From: Benjamin Riefenstahl <[email-masked]>
Date: Mon, 25 Jan 2021 18:27:37 +0100

Hi jean,

Jean Louis writes:
> After M-x sql-postgres and clicking on the menu item SQL, I get this
> error:

I can not reproduce this with Emacs compiled from master and executed as
"src/emacs -q".  What else does this need?

> Debugger entered--Lisp error: (error "‘'postgres’ is not a known
> product; use ‘sql-add-product’ to add it first.")
>   signal(error ("‘'postgres’ is not a known product; use ‘sql-add-p..."))

It looks like there is one ' too much in there?  As in (quote 'postgres)
instead of plain 'postgres.

>   #f(compiled-function (menu) #<bytecode 0xfdb21298474a028>)(("--"
>   ["New SQLi Session" sql-product-interactive (sql-get-product-feature
>   sql-product :sqli-comint-func)]))

I do not have this menu item.  When I execute

  M-: (sql-product-interactive
       (sql-get-product-feature sql-product :sqli-comint-func))

that returns fine, result is

  #<window 7 on *SQL: Postgres*>

which is the window object I guess.

benny